KDE 4.9 PyKDE API Reference

- KDE's Python API

# KLibrary Class Reference

`from PyKDE4.kdecore import *`

Inherits: QLibrary → QObject

## Detailed Description

\class KLibrary klibrary.h <KLibrary>

Thin wrapper around QLibrary; you should rarely use this directly, see KPluginLoader for higher-level loading of plugins. KLibrary adds kde3-factory and kde4-factory support to QLibrary (for the deprecated KLibLoader) KLibrary also searches libs in the kde search paths.

## Methods

| __init__ (self, QObject parent=0)
| __init__ (self, QString name, KComponentData cData=KGlobal.mainComponent(), QObject parent=0)
| __init__ (self, QString name, int verNum, KComponentData cData=KGlobal.mainComponent(), QObject parent=0)
KPluginFactory | factory (self, QString factoryname=0)
| setFileName (self, QString name, KComponentData data=KGlobal.mainComponent())
bool | unload (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | QString | name,
|  | KComponentData | cData=KGlobal.mainComponent(),
|  | QObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | QString | name,
|  | int | verNum,
|  | KComponentData | cData=KGlobal.mainComponent(),
|  | QObject | parent=0
| ) |  |  |

KPluginFactory factory | ( | self, |
|  | QString | factoryname=0
| ) |  |  |

Returns the factory of the library.

Parameters:

  | factoryname | The postfix to the init_ symbol used to create the factory object. It corresponds to the first parameter to K_EXPORT_COMPONENT_FACTORY.

Returns:
  The factory of the library if there is any, otherwise 0

Deprecated:
  use KPluginLoader.factory

setFileName | ( | self, |
|  | QString | name,
|  | KComponentData | data=KGlobal.mainComponent()
| ) |  |  |

bool unload | ( |  | self ) |